List pipeline activities
curl --request GET \
--url https://www.ruddr.io/api/workspace/pipeline-activities \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.ruddr.io/api/workspace/pipeline-activities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.ruddr.io/api/workspace/pipeline-activities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.ruddr.io/api/workspace/pipeline-activities",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://www.ruddr.io/api/workspace/pipeline-activities"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://www.ruddr.io/api/workspace/pipeline-activities")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.ruddr.io/api/workspace/pipeline-activities")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"results": [
{
"id": "a3d7e1b2-5c94-4f68-b0a2-e8f1d3c76a49",
"subject": "Discovery call with client",
"content": "Discussed project requirements and timeline expectations.",
"direction": "outbound",
"date": "2025-09-15",
"duration": 30,
"createdAt": "2025-09-15T14:22:31.482Z",
"pipelineActivityType": {
"id": "9c3a7d1e-5b28-4f60-a4e2-d8f1b0c73a96",
"name": "Call"
},
"members": [
{
"id": "b4e8c2f1-7d35-4a90-81b3-f6a9d0e54c27",
"name": "Sarah Johnson"
}
],
"contacts": [
{
"id": "c5f9d3a2-8e46-4b01-92c4-a7b0e1f65d38",
"name": "John Smith"
}
],
"companies": [
{
"id": "d6a0e4b3-9f57-4c12-a3d5-b8c1f2a76e49",
"name": "Acme Corp"
}
],
"opportunities": [
{
"id": "e7b1f5c4-0a68-4d23-b4e6-c9d2a3b87f50",
"name": "Website Redesign"
}
]
}
],
"hasMore": false
}{
"status": 400,
"message": "Parameter 'startingAfter' is not a valid UUID."
}{
"status": 403,
"message": "Feature 'Pipeline' is not enabled."
}Pipeline Activities
List pipeline activities
GET
/
pipeline-activities
List pipeline activities
curl --request GET \
--url https://www.ruddr.io/api/workspace/pipeline-activities \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.ruddr.io/api/workspace/pipeline-activities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.ruddr.io/api/workspace/pipeline-activities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.ruddr.io/api/workspace/pipeline-activities",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://www.ruddr.io/api/workspace/pipeline-activities"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://www.ruddr.io/api/workspace/pipeline-activities")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.ruddr.io/api/workspace/pipeline-activities")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"results": [
{
"id": "a3d7e1b2-5c94-4f68-b0a2-e8f1d3c76a49",
"subject": "Discovery call with client",
"content": "Discussed project requirements and timeline expectations.",
"direction": "outbound",
"date": "2025-09-15",
"duration": 30,
"createdAt": "2025-09-15T14:22:31.482Z",
"pipelineActivityType": {
"id": "9c3a7d1e-5b28-4f60-a4e2-d8f1b0c73a96",
"name": "Call"
},
"members": [
{
"id": "b4e8c2f1-7d35-4a90-81b3-f6a9d0e54c27",
"name": "Sarah Johnson"
}
],
"contacts": [
{
"id": "c5f9d3a2-8e46-4b01-92c4-a7b0e1f65d38",
"name": "John Smith"
}
],
"companies": [
{
"id": "d6a0e4b3-9f57-4c12-a3d5-b8c1f2a76e49",
"name": "Acme Corp"
}
],
"opportunities": [
{
"id": "e7b1f5c4-0a68-4d23-b4e6-c9d2a3b87f50",
"name": "Website Redesign"
}
]
}
],
"hasMore": false
}{
"status": 400,
"message": "Parameter 'startingAfter' is not a valid UUID."
}{
"status": 403,
"message": "Feature 'Pipeline' is not enabled."
}A pipeline activity, such as a call, email, or meeting, associated with one or more companies, contacts, members, and opportunities.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
A cursor ID (uuid) used to request the next page of results. If not provided, defaults to the first page of results.
A cursor ID (uuid) used to request the previous page of results. Is mutually exclusive with startingAfter.
The maximum number of results to be returned. Can be any number from 1 to 100. Defaults to 10, if not provided.
Filter by the opportunity uuid.
Filter by the company uuid.
Filter by the contact uuid.
Filter by the pipeline activity type uuid.